Bug 1861092 - Remove zchee/sigs.k8s-controller-runtime go.mod replace directive
Summary: Remove zchee/sigs.k8s-controller-runtime go.mod replace directive
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Routing
Version: 4.6
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.6.0
Assignee: Stephen Greene
QA Contact: Hongan Li
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-07-27 19:05 UTC by Daneyon Hansen
Modified: 2020-09-07 06:43 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-ingress-operator pull 453 None closed Bug 1861092: Bump go.mod for kube 1.19 2020-09-07 06:39:29 UTC

Description Daneyon Hansen 2020-07-27 19:05:37 UTC
Description of problem:
Remove 'zchee/sigs.k8s-controller-runtime' replace directive in openshift/cluster-ingress-operator go.mod before shipping 4.6. The replace is required due to https://github.com/kubernetes-sigs/controller-runtime/issues/1033.

Version-Release number of selected component (if applicable):
master

How reproducible:
N/A


Additional info:

Comment 1 Andrew McDermott 2020-07-30 10:11:07 UTC
Iā€™m adding UpcomingSprint, because I was occupied by fixing bugs with
higher priority/severity, developing new features with higher
priority, or developing new features to improve stability at a macro
level. I will revisit this bug next sprint.

Comment 2 mfisher 2020-08-18 20:01:37 UTC
Target reset from 4.6 to 4.7 while investigation is either ongoing or not yet started.  Will be considered for earlier release versions when diagnosed and resolved.

Comment 3 Stephen Greene 2020-09-02 14:27:42 UTC
https://github.com/go-logr/logr/pull/20 added backwards compatibility to logr v0.2.0

Comment 7 Hongan Li 2020-09-07 06:43:05 UTC
verified with 4.6.0-0.nightly-2020-09-05-015624 and passed.


Note You need to log in before you can comment on or make changes to this bug.